libfreehand::FHCubicBezierToElement Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libfreehand::FHCubicBezierToElement Class Reference
Inheritance diagram for libfreehand::FHCubicBezierToElement:

## Public Member Functions
| FHCubicBezierToElement (double x1, double y1, double x2, double y2, double x, double y)
| ~FHCubicBezierToElement ()
void | writeOut (librevenge::RVNGPropertyListVector &vec) const
void | transform (const FHTransform &trafo)
FHPathElement * | clone ()
Public Member Functions inherited from libfreehand::FHPathElement
| FHPathElement ()
virtual | ~FHPathElement ()

## Private Attributes
double | m_x1
double | m_y1
double | m_x2
double | m_y2
double | m_x
double | m_y

## Constructor & Destructor Documentation

libfreehand::FHCubicBezierToElement::FHCubicBezierToElement | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2,
|  | double | x,
|  | double | y
| ) |  |
| inline

libfreehand::FHCubicBezierToElement::~FHCubicBezierToElement | ( |  | ) |
| inline

## Member Function Documentation

libfreehand::FHPathElement * libfreehand::FHCubicBezierToElement::clone | ( |  | ) |
| virtual

Implements libfreehand::FHPathElement.

void libfreehand::FHCubicBezierToElement::transform | ( | const FHTransform & | trafo | ) |
| virtual

Implements libfreehand::FHPathElement.

void libfreehand::FHCubicBezierToElement::writeOut | ( | librevenge::RVNGPropertyListVector & | vec | ) | const
| virtual

Implements libfreehand::FHPathElement.

## Member Data Documentation

double libfreehand::FHCubicBezierToElement::m_x
| private

double libfreehand::FHCubicBezierToElement::m_x1
| private

double libfreehand::FHCubicBezierToElement::m_x2
| private

double libfreehand::FHCubicBezierToElement::m_y
| private

double libfreehand::FHCubicBezierToElement::m_y1
| private

double libfreehand::FHCubicBezierToElement::m_y2
| private

The documentation for this class was generated from the following file:

- FHPath.cpp